org.apache.ignite.internal.processors.cache

## Class GridCacheConcurrentMap.CacheMapHolder

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheConcurrentMap.CacheMapHolder

Enclosing interface:
  GridCacheConcurrentMap

    public static class GridCacheConcurrentMap.CacheMapHolder
    extends Object

### Field Summary

Fields
`GridCacheContext` `cctx`
`ConcurrentMap<KeyCacheObject,GridCacheMapEntry>` `map`
`AtomicInteger` `size`

### Constructor Summary

Constructors
Constructor and Description
`CacheMapHolder(GridCacheContext cctx, ConcurrentMap<KeyCacheObject,GridCacheMapEntry> map)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cctx

    public final GridCacheContext cctx

#### size

    public final AtomicInteger size

#### map

    public final ConcurrentMap<KeyCacheObject,GridCacheMapEntry> map

### Constructor Detail

#### CacheMapHolder

    public CacheMapHolder(GridCacheContext cctx,
                          ConcurrentMap<KeyCacheObject,GridCacheMapEntry> map)

Parameters:
  `cctx` - Cache context.
  `map` - Map.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022